language.c File Reference
Include dependency graph for language.c:

## Functions

MPlist * | mlanguage_list (void)
| List 3-letter language codes. More...
MSymbol | mlanguage_code (MSymbol language, int len)
| Get a language code. More...
MPlist * | mlanguage_name_list (MSymbol language, MSymbol target, MSymbol script, MSymbol territory)
| Return the language names written in the specified language. More...
MText * | mlanguage_text (MSymbol language)
| Return the language name written in that language. More...
MPlist * | mscript_list (void)
| List script names. More...
MPlist * | mscript_language_list (MSymbol script)
| List languages that use a specified script. More...
Obsolete functions

Get an English language name.

This function is obsolete. Use mlanguage_name_list() instead.

The mlanguage_name() function returns a symbol whose name is an English name of language. language is a symbol whose name is an ISO639-2 3-letter language code, an ISO639-1 2-letter language codes, or an English word.

Return value:
  If the information is available, this function returns a non-Mnil symbol. Otherwise, it returns Mnil.

See Also:
  mlanguage_code(), mlanguage_text().

MSymbol | mlanguage_name (MSymbol language)

## Variables

MSymbol | Miso639_1
MSymbol | Miso639_2

## Function Documentation

## mlanguage_name()

MSymbol mlanguage_name | ( | MSymbol | language | ) |